<?php

namespace App\FiveM\Models;

use Illuminate\Database\Eloquent\Model;

class Warning extends Model
{
    protected $connection = 'fivem';

    public $timestamps = false;

    protected $fillable = [
        'citizenid',
        'reason',
        'warned_by',
        'created_at',
    ];

    protected function casts(): array
    {
        return [
            'created_at' => 'datetime',
        ];
    }

    public function getTable()
    {
        return config('fivem.ucp_tables.warnings', 'ucp_warnings');
    }
}
